无法解析符号PhoneNumberUtil

我尝试使用https://github.com/googlei18n/libphonenumber中的 libphonenumber,我已将其添加到依赖项中,但它显示“无法解析符号PhoneNumberUtil”。 这是为什么? 顺便说一下,我正在使用android studio

谢谢大家我find了答案我在build.gradle中手动添加编译’com.googlecode.libphonenumber:libphonenumber:7.0.4′

当我试图通过搜索添加库find它,我找不到它

以下是Android Studio的6个步骤说明:

  1. 从主菜单打开“文件 – >项目结构”
  2. 选择“依赖关系”选项卡
  3. 点击右边的“+”
  4. 选择“1.库依赖”(或其他如果您知道自己在做什么)
  5. 在搜索框中输入所需的库名“libphonenumber”
  6. 选择欲望的lib并单击“确定”和“确定”

而已。

从这里libphonenumber-3.0.0-javadoc.jar下载 libphonenumber Jar

将上面获得的libphonenumber-3.0.0-javadoc.jar添加到项目的libs文件夹中。

现在,通过添加以下行,在您的Apps gradle文件中添加依赖项

compile files ('libs/libphonenumber-3.0.0-javadoc.jar' ) 

应用程序gradle文件现在应该如下图所示

现在单击“使用Gradle文件同步项目”。

在此处输入图像描述

现在您应该能够使用PhoneNumberUtil类。